<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * Page d'accueil
 *
 *  afiche la page de login si il n'y a pas de session sinon affiche la page d'accueil
 *
 * @package		Maxcom
 * @category	Controler
 * @author		Maxcom Development Team
 * @link				
 */

class Home extends CI_Controller
{
	/**
	 * Affiche la page d'accueil de l'interface utilisateur
	 */
	function index() {
		if ($this->maxcomutils->checkSession()) {  
			// recuperation donnee pour la vue
			
			$user_data = $this->user->get($this->session->userdata('user_id'));
			
			$space_id = $this->session->userdata('space_id');
			$first_cat =  $this->category->get_first($space_id);
			if (isset($first_cat['id'])) {
				redirect('home/categoryfilter/'.$first_cat['id']);
			} else {
				redirect('admin');
			}
			
		 } 
	}
	
	/**
	 * Permet de filtrer l'affichage par catégorie
	 * @param int $id: Identifiant de la catégorie à afficher
	 */
	function categoryfilter($id=NULL) {			
		if ($id){
			$user_data = $this->user->get($this->session->userdata('user_id'));
			
			$space_id = $this->session->userdata('space_id');
			$space_data = $this->space->get($space_id);
			
			$view_data = array();
			$view_data['user_name'] = $user_data['firstname'];

			$view_data['description'] = $space_data['value'];
			$view_data['user_space_role'] = $user_data['space_role'];
			
			$view_data['favorite_sheets'] = $this->sheet->get_favorite_published($space_id);
			$view_data['categories'] = $this->category->get_all($space_id);
			$view_data['category_sheets'] = $this->sheet->get_published($id,$space_id);
			$view_data['action'] = "show_category";
			$view_data['selected_category'] = $id;
		
			$this->maxcomutils->load_viewHome('home', $view_data);
		} else {
			redirect('admin');
		}
	}
	
	/**
	 * Affiche une fiche
	 * @param int $id: Identifiant de la fiche
	 */
	function display_sheet($id) {
		$datas = $this->sheet->get($id);
		$this->maxcomutils->load_viewPopup('display-sheet', $datas);
	}
	
	/**
	 * Affiche la page à propos
	 */
	function about() {
		$datas = array();
		$this->maxcomutils->load_viewPopup('about', $datas);
	}
}
?>
