<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * Login Class
 *
 * Gere la fourniture du login 
 *
 * @package		Maxcom
 * @category	Controler
 * @author		Maxcom Development Team
 * @link				
 */

class Login extends CI_Controller
{
	
	/**
	 * Affiche la page de login si il n'y a pas de session sinon affiche la page d'accueil
	 */
	function index() {
		if ($this->maxcomutils->checkSession()) { 
			redirect('home', 'refresh');
		} 
	}
	
	/**
	 * Détruit la session utilisateur et renvoie vers la page de login.
	 */
	function kill() {
		if ($this->maxcomutils->checkSession()) {
			$this->session->sess_destroy();
			redirect('login', 'refresh');
		}
	}
	
	/**
	 * vérifie le login et le mot de passe de l'utilisateur
	 */
	function check() {
		$login = $this->input->post('login');
		$password = md5($this->input->post('password'));
		$sessioncheck = $this->input->post('sessioncheck');

		$user_data = $this->user->check($login, $password); 
		
		if (empty($user_data)) {
			redirect('login', 'refresh');
		} elseif ($user_data && $sessioncheck) {
			$space = $this->space->get($user_data['space_id']);
			$user_data['space_name'] = $space['value'];
	    	$this->maxcomutils->createSession($user_data['id'],$user_data['space_id'],$user_data['space_role'],$user_data['firstname'],$user_data['space_name'],'0');
	    	redirect('home', 'refresh');
		} else {
			$space = $this->space->get($user_data['space_id']);
			$user_data['space_name'] = $space['value'];
			$this->maxcomutils->createSession($user_data['id'],$user_data['space_id'],$user_data['space_role'],$user_data['firstname'],$user_data['space_name'],'10800');
			redirect('home', 'refresh');
		}
	}
	
	/**
	 * Génère un nouveau mot de passe pour un utilisateur identifié par son login
	 * (à partir du formulaire de "mot de passe oublié")
	 */
	function newpassword(){
		$login=$this->input->post('login');
		$user_data = $this->user->getwithLogin($login);
		if(!empty($user_data)){
			$pass=random_string('alnum',8);
			$user_data["password"] = md5($pass);
			$this->user->update($user_data);
			$user_data["message_ok"] = true;
			$this->send_pass($user_data["mail"],$pass);
			redirect('login', 'refresh');
		}else{
			$user_data["message_ok"] = false;
			redirect('login', 'refresh');
		}
	}
	
	//TODO: Créer un template mail et nettoyer la fonction
	/**
	 * Envoi du mot de passe
	 * @param string $mail: mail de l'utilisateur à qui envoyer le mail
	 * @param string $password: Mot de passe
	 */
	function send_pass($mail,$password){
			$this->load->helper('string');
			//$mail = $this->input->post('mail');
			$objet = "Changement de mot de passe";
$template="Bonjour,
Suite votre demande; voici votre nouvaux mot de passe est:
. $password.
Changez le d�s votre premiere connection";
			$this->load->library('email');
				
			//Envoi du mail de confirmation à 
			$this->email->from('celloudara@yahoo.fr', 'Support Max\'Com');
			$this->email->to($mail);
			$this->email->subject($objet);
			$this->email->message($template);	
			$this->email->send();
			
	}
}
?>
