<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * Register Class
 *
 * Gere la creation d'un utilisateur et de son escape
 *
 * @package		Maxcom
 * @category	Controller
 * @author		Maxcom Development Team
 * @link		
 */

class Register extends CI_Controller
{
	
	
	/**
	 * 	Afiche la page de creation d'un espace et de son administrateur
	 */
	function index()
	{
		$datas = array();
		$datas['login'] = '';
		$datas['password'] = '';
		$datas['lastname'] = '';
		$datas['firstname'] = '';			
		$datas['mail'] = '';
		$datas['description'] = '';
		
		$cap=$this->maxcomutils->createCaptcha();
		
		$data = array(
		'captcha_time' => $cap['time'],
		'ip_address' => $this->input->ip_address(),
		'word' => $cap['word']
		); 
		
		$datas['cap'] = $cap['image'];
		$captcha=$this->captcha->create($data);
		$this->maxcomutils->load_viewHome('register',$datas);
	}
	
	// TODO: Mettre cette fonction dans la librairie Maxcomutils?
	/**
	 * Cherche l'utilisateur d'identifiant $login
	 * Fonction appelée lors de la vérification de disponibilité d'un login
	 * @param string $login: Identifiant à rechercher
	 */
	function checkUser($login){
		$users = $this->user->get_all();
		foreach($users as $user){
			if($login==$user->login)
				echo 'trouve';
		}
		
	}
	
	//TODO: Passer cette fonction dans maxcomutils? Cette fonction peut également
	//être appelée lors de la modif d'un compte utilisateur... Redondance avec la fonction précédente?
	/**
	 * 	Vérifie si un login existe déjà en base de donnée
	 */
	function exist($login) {
		$exist = $this->user->exist($this->db->escape($login));
		$this->output->set_output($exist);
	}
	
	/**
	 * 	Création de l'espace et de son administrateur a partir des données 
	 */  
	function create() {
		$user_data = $this->_extract_data();
		$view_data=$user_data;
		
		/*Gestion du captcha*/
		$this->load->helper('captcha');
		
		$vals = array(
				'img_path' => './captcha/',
				'img_url' => base_url()."captcha/",
				'img_width' => 120,
				'img_height' => 30,
				'expiration' => 7200
		);
		
		$cap = create_captcha($vals);
		
		$data = array(
		'captcha_time' => $cap['time'],
		'ip_address' => $this->input->ip_address(),
		'word' => $cap['word']
		); 
		$view_data['cap'] = $cap['image'];
		$captcha=$this->captcha->create($data);
		
		
		$view_data['erreur_login'] = false;
		$space['description'] = $this->input->post('description');
		
		
		$this->load->helper('date');
		$datestring = "%Y-%m-%d %H:%i:%s";
		$space['created'] =  mdate($datestring);
		
		//TODO: Vérifier le fonctionnement du formulaire (validation)
		$this->load->library('form_validation');	//librairie de validation de formlaire
		$this->form_validation->set_rules('login', 'Username', 'trim|required');
		$this->form_validation->set_rules('password', 'Password', 'trim|required|min_length[6]|matches[confirmpass]');
		$this->form_validation->set_rules('confirmpass', 'Password Confirmation', 'trim|required');
		$this->form_validation->set_rules('mail', 'Email', 'trim|required|valid_email');
				
		$this->form_validation->set_message("valid_email", "votre format d'email n'est pas valide");
		$this->form_validation->set_message("matches", "le mot de passe est diferrence de la confirmation");
		$this->form_validation->set_message("min_length", "longueur minimun 6 caract&egrave;res");
		$this->form_validation->set_message("required", "cet champ est requit");
		
		if($this->form_validation->run() == TRUE){
			if(!$this->checkUser($user_data['login'])){
				$row=$this->captcha->get($this->input->post('captcha'));/*recupration et comparaison*/
				if($row > 0){
					//Création de l'espace dans la base
					$space_id = $this->space->create($space);
					$user_data['space_id'] = $space_id;	
					$user_data['space_role']='administrateur';
					
					//Création de l'admin dans la base
					$user_id = $this->user->create($user_data); 
					
					$this->load->helper('string');
					$mobile['login'] = 'mobile-'.random_string('alnum',6);
					$mobile['password'] = md5(random_string('alnum',8));
					$mobile['space_id'] = $space_id;
					$mobile['space_role'] = 'utilisateur';
					$mobile['firstname'] = 'space-'.$space_id;
					$mobile['lastname'] = 'Utilisateur Mobile';
					$mobile['mail'] = $user_data['mail'];
					$mobile['description'] = 'Utilisateur mobile pour l\'espace '.$space_id;
					
					//Création de l'utilisateur Mobile dans la base
					$user_id = $this->user->create($mobile);
					
					$this->contact_send();
					redirect('login', $view_data);					
				}else{
					$view_data['erreur_cap']=true;
					$this->maxcomutils->load_view('register', $view_data);
				}
			}else{
				$view_data['erreur_login'] = true;
				$this->maxcomutils->load_view('register', $view_data);
			}
		}else{
			$this->maxcomutils->load_viewHome('register',$view_data);
		}
	}
	
	/**
	 * Extrait les données du formulaire register et renvoit les données au format tableau
	 * @return multitype:string NULL
	 */
	function _extract_data(){
		$user_data = array();
			
		$user_data['id'] = '';
		$user_data['login'] = $this->input->post('login');
		$user_data['password'] = md5($this->input->post('password'));
		$user_data['lastname'] = $this->input->post('lastname');
		$user_data['firstname'] = $this->input->post('firstname');			
		$user_data['mail'] = $this->input->post('mail');
		$user_data['description'] = $this->input->post('description');
		return $user_data;
	}

	//TODO: Créer un template de mail et reprendre l'envoi de mails: au support et au demandeur
	//TODO: Créer un système de validation de la création d'espace
	/**
	 * Envoi un mail à l'utilisateur pour notifier de la création de l'espace
	 * ainsi qu'aux admins max'com
	 */
	function contact_send() {
				$this->load->helper('string');
				$login=$this->input->post('login');
				$password=$this->input->post('password');
				$name = $this->input->post('firstname').' '.$this->input->post('lastname');
				$mail = $this->input->post('mail');
				$objet = "Création d'un espace Max'Com";
				$description =	$this->input->post('description');
		
	$template_mail = 
	"Bonjour ".$name.",
	
	Ton espace a bien été créé. Tu peux te connecter dès à présent sur l'url: ".site_url()."
	
	Voici tes informations de connexion:
	
	Login: ".$login."
	Mot de passe: ".$password."
	
	À très bientôt,
	
	L'équipe Max'Com";	
				$this->load->library('email');
					
				//Envoi du mail de confirmation à l'auteur du bug
				$this->email->from('contact@maxcom.fr', 'Support Max\'Com');
				$this->email->to($mail);
				$this->email->subject($objet);
				$this->email->message($template_mail);	
				$this->email->send();
				
				$this->email->clear();
				$this->email->from('contact@maxcom.fr', 'Support Max\'Com');
				$this->email->to('contact@maxcom.fr');
				$this->email->subject($objet);
				$this->email->message($template_mail);
				$this->email->send();
		}
	
}
?>
