<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * Search Class
 *
 * Recherche des données dans les catégories, fiches, utilisateurs
 *
 * @package		Maxcom
 * @category	Controller
 * @author		Maxcom Development Team
 * @link		
 */

class Search extends CI_Controller
{
	/**
	 * Redirection simple vers la bonne fonction de recherche
	 */
	function index() {
		if ($this->maxcomutils->checkSession()) {
			redirect('search/'.$this->input->post('base').'/'.urlencode($this->input->post('keyword')));
		}
	}
	
	/**
	 * Recherche dans les catégories
	 * @param string $datas: Paramètres de la recherche
	 */
	function category($datas=NULL) {
		if ($this->maxcomutils->checkSession()) {
			if ($datas) {
				$datas = urldecode($datas);
				$space_id = $this->session->userdata('space_id');
				$categories = $this->category->search($datas,$space_id);
				$view_data['categories'] = $categories;
				$view_data['action'] = 'search';
				$view_data['keyword'] = $datas;
			} else {
				$view_data['categories'] = array();
				$view_data['action'] = 'search';
				$view_data['keyword'] = " ";
			}
			
			$this->maxcomutils->load_view('main-category', $view_data);
		}
	}
	
	/**
	 * Recherche dans les fiches
	 * @param string $datas: Paramètres de la recherche
	 */
	function sheet($datas=NULL) {
		if ($this->maxcomutils->checkSession()) {
			if ($datas) {
				$datas = urldecode($datas);
				$space_id = $this->session->userdata('space_id');
				$sheets = $this->sheet->search($datas,$space_id);
				$view_data['sheets'] = $sheets;
				$view_data['action'] = 'search';
				$view_data['keyword'] = $datas;
			} else {
				$view_data['sheets'] = array();
				$view_data['action'] = 'search';
				$view_data['keyword'] = " ";
			}
			
			$this->maxcomutils->load_view('main-sheet', $view_data);
		}
	}
	
	/**
	 * Recherche dans les utilisateurs
	 * @param string $datas: Paramètres de la recherche
	 */
	function user($datas=NULL) {
		if ($this->maxcomutils->checkSession()) {
			if ($datas) {
				$datas = urldecode($datas);
				$space_id = $this->session->userdata('space_id');
				$sheets = $this->user->search($datas,$space_id);
				$view_data['users'] = $sheets;
				$view_data['action'] = 'search';
				$view_data['keyword'] = $datas;
			} else {
				$view_data['users'] = array();
				$view_data['action'] = 'search';
				$view_data['keyword'] = " ";
			}
			
			$this->maxcomutils->load_view('main-user', $view_data);
		}
	}
}
