<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * UserAdmin Class
 *
 * Permet la gestion des utilisateurs
 *
 * @package		Maxcom
 * @category	Controller
 * @author		Maxcom Development Team
 * @link		
 */

class UserAdmin extends CI_Controller
{
	
	/**
	 * Affiche la page principale de gestion des utilisateurs
	 */
	function index() {
		if ($this->maxcomutils->checkSession()) {
			$space_id = $this->session->userdata('space_id');
			
			$users = $this->user->get_all($space_id);
			
			$view_data = array();
			$view_data['users'] = $users;
			$view_data['action'] = '';
			$this->maxcomutils->load_view('main-user', $view_data);
		}
	}
	
	/**
	 * Affiche la page de création des utilisateurs
	 */
	function ui_add() {
		if ($this->maxcomutils->checkSession()) {
			$view_data['update'] = false;
			//TODO: Utiliser la fonction CheckUserRights
			if (($this->session->userdata('user_space_role') == "administrateur")||
				($this->session->userdata('user_space_role')=="superadmin")){ 	
				$view_data['user_login'] = '';
				$view_data['user_firstname'] = '';
				$view_data['user_lastname'] = '';
				$view_data['user_mail'] = '';
				$view_data['user_description'] = '';
				$view_data['user_role'] = '';
				
				$this->maxcomutils->load_view('edit-user', $view_data);
			}else
			redirect('useradmin', $view_data);
		}
	}

	/**
	 * Affiche la page de modification des utilisateurs
	 * @param int $updated_id: Identifiant de l'utilisateur à modifier
	 */
	function ui_update($updated_id) {
		if ($this->maxcomutils->checkSession()) {				
			// recuperation donnee pour la vue
			
			$user_data = $this->user->get($updated_id);
			
			if ($this->maxcomutils->checkUserRights($user_data['space_id'],$updated_id)){
				$view_data = array();
				
				$view_data['update'] = true;
				$view_data['user_login'] = $user_data['login'];
				$view_data['user_id'] = $updated_id;
				$view_data['user_firstname'] = $user_data['firstname'];
				$view_data['user_lastname'] = $user_data['lastname'];
				$view_data['user_mail'] = $user_data['mail'];
				$view_data['user_role'] = $user_data['space_role'];
				$view_data['user_description'] = $user_data['description'];
				
				$this->maxcomutils->load_view('edit-user', $view_data);
			}else{
				redirect('useradmin', $user_data);
			}
		}	
	}
	
	//TODO: Fonction déjà utilisée dans le register... Ajouter dans la librairie?
	/**
	 * Cherche l'utilisateur d'identifiant $login
	 * @param string $login: Login de l'utilisateur à vérifier
	 * @return boolean
	 */
	function checkUser($login){
		$result=false;
		$users = $this->user->get_all();
		foreach($users as $user){
			if($login==$user->login)
				//echo "trouve";
				$result=true;
		}
		return $result;
	}
	
	//TODO: Redondance??
	/**
	 * Cherche l'utilisateur d'identifiant $login
	 * @param string $login: Login de l'utilisateur à vérifier
	 */
	function exist($login){
		$users = $this->user->get_all();
		foreach($users as $user){
			if($login==$user->login)
				echo "trouve";
		}
	}
	 
	/**
	 * Creation d'un utilisateur et rattachement à l'espace courant 
	 */
	function add() {
		if ($this->maxcomutils->checkSession()) {
				$user_data = $this->_extract_data();
				
				$user = $this->user->get($this->session->userdata('user_id'));
				$space_id = $this->session->userdata('space_id');
				
				$view_data = array();
					$view_data['update'] = false;
					$view_data['erreur'] = false;
					$view_data['user_login'] = $user_data['login'];
					$view_data['user_id'] = '';
					$view_data['user_firstname'] = $user_data['firstname'];
					$view_data['user_lastname'] = $user_data['lastname'];
					$view_data['user_mail'] = $user_data['mail'];
					$view_data['user_role'] = $user_data['space_role'];
					$view_data['user_description'] = $user_data['description'];
				
				$this->load->library('form_validation');	//librairie de validation de formlaire
				$this->form_validation->set_rules('login', 'Username', 'trim|required');
				$this->form_validation->set_rules('password', 'Password', 'trim|required|min_length[6]|matches[confirmpass]');
				$this->form_validation->set_rules('confirmpass', 'Password Confirmation', 'trim|required');
				$this->form_validation->set_rules('mail', 'Email', 'trim|required|valid_email');
				
				$this->form_validation->set_message("valid_email", "votre format d'email n'est pas valide");
				$this->form_validation->set_message("matches", "le mot de passe est diferrence de la confirmation");
				$this->form_validation->set_message("min_length", "longueur minimun 6 caract&egrave;res");
				$this->form_validation->set_message("required", "cet champ est requit");
				
			if (($this->session->userdata('user_space_role') == "administrateur")
				&&($user["space_id"]==$space_id)||
				($this->session->userdata('user_space_role')=="superadmin")){ 
					if($this->form_validation->run() == TRUE){
						if(!$this->checkUser($user_data['login'])){
							$user_data['space_id'] = $space_id;
			 		
							$user_id = $this->user->create($user_data);
							redirect('useradmin', 'refresh');
							
						}else{
							$view_data['erreur'] = true;
							$this->maxcomutils->load_view('edit-user', $view_data);
						}
					}else{
						$this->maxcomutils->load_view('edit-user', $view_data);
					}		
				
			}else{
				redirect('useradmin', $user_data);
			}
		}
	}
	
	/**
	 * Mise a jour d'un utilisateur  
	 * @param int $user_id: Identifiant de l'utilisateur à modifier
	 */
	function update($user_id) {
		if ($this->maxcomutils->checkSession()) {
			
			$user_data = $this->_extract_data();
			
			$user = $this->user->get($user_id);
			
			if ($this->maxcomutils->checkUserRights($user['space_id'],$user_id)){	
				$user_data['id'] = $user_id; 
				
				$user_id = $this->user->update($user_data);	
				
				redirect('useradmin', 'refresh');
				
			}else{
				redirect('useradmin', $user_data);
			}
		}
	}
	
	/**
	 * Récupère les infos d'un utilisateur et les affiche (vue popup)
	 * @param int $user_id: Identifiant de l'utilisateur à afficher
	 */
	function infos($user_id) {
		$user_datas = $this->user->get($user_id);
		$this->maxcomutils->load_viewPopup('userinfos',$user_datas);
	}
	
	//TODO: Rattacher les fiches et catégories créées par cet utilisateur à l'admin principal
	// de l'espace correspondant
	/**
	 * Suppression d'un utilisateur de la base de donnée
	 * @param unknown_type $user_id
	 */ 
	function delete($user_id) {
		$user_data = $this->_extract_data();
		if ($this->maxcomutils->checkSession()) {
			if(($this->session->userdata('user_id')!=$user_id)
				&&(!($this->session->userdata('user_space_role') == "redacteur"))){
				$user_id = $this->user->delete($user_id);	
			}else{
				redirect('useradmin', $user_data);
			}
			
			redirect('useradmin', 'refresh');
		}
		else {
			redirect('useradmin', 'refresh');
		}
	}
	
	
	/**
	 * 	Extrait les données fournies par l'utilisateur (fonction privée) du formulaire
	 */  
	function _extract_data() {
		if ($this->maxcomutils->checkSession()) {
			$user_data = array();
			
			$user_data['id'] = '';
			$user_data['login'] = $this->input->post('login');
			if ($this->input->post('password')) {
				$user_data['password'] = md5($this->input->post('password'));
			}
			$user_data['lastname'] = $this->input->post('lastname');
			$user_data['firstname'] = $this->input->post('firstname');		
			$user_data['mail'] = $this->input->post('mail');
			$user_data['space_role'] = $this->input->post('rights');
			$user_data['description'] = $this->input->post('description');
			
			return $user_data;
		}
	}
}
?>
