<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * DBAction Class
 *
 * Gere les actions de synchronisation
 *
 * @package		Maxcom
 * @category	Model
 * @author		Maxcom Development Team
 * @link		
 */

class DBAction extends CI_Model {
	
	/**
	 * @return toutes les actions correspondant à un spacee et supérieur a une date
	 */
	function get($space_id, $date, $time) {
		$this->db->where('space_id', $space_id);
		$date_sup = "(date > '".$date."')";		
		$date_eq = "(date = '".$date."') AND (time > '".$time."')";
		$date_expr = "(".$date_sup." OR (".$date_eq."))";
		
		$this->db->order_by("id", "asc"); 
		$this->db->where($date_expr);
		$query =  $this->db->get('dbaction');
		
		if ($query->num_rows() > 0) {
			foreach ($query->result_array() as $row) {
			    $actions[] = $row;
			}
			return $actions;
		}
		else {
			return array();
		}
	}
		
	/**
	 * ajout d'une action a un spacee 
	 * 
	 */
	function create($space_id, $query) {	
		$this->load->helper('date');
		$datestring = "%Y-%m-%d";
		$timestring = "%H:%i:%s";
		$now = time();
		
		$data = array(	
			'id' => '',
			'space_id' => $space_id, 
			'query' => $query, 
			'date' => mdate($datestring, $now),
			'time' => mdate($timestring, $now) 
		);
		
		$insert = $this->db->insert('dbaction', $data);
		
		if  ( $insert === false ) {
			show_error('Dbaction creation error' );
		} else {
			return $this->db->insert_id() ;
		}
	}

	/**
	 * supprime les actions d'un spacee
	 * 
	 */
	function delete($space_id) {
		$this->db->where('space_id', $space_id);
		$this->db->delete('dbaction');
	}
	
	function delete_space($space_id) {
		$this->db->where('space_id',$space_id);
		$this->db->delete('dbaction');
	}	
	
	function getAll() {
		$query = $this->db->get('dbaction');
		
		if ($query->num_rows() > 0) {
			return $query->result_array();
		} else {
			return array();
		}
	}
}
?>
