<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * DBLogging Class
 *
 * Gere les enregistrements de journalisation
 *
 * @package		Maxcom
 * @category	Model
 * @author		Maxcom Development Team
 * @link		
 */

class DBLogging extends CI_Model {

	
	
	/**
	 *
	 * cree un nouvel enregistrement de journalisation 
	 *
	 */ 
	function create($data) 
	{
		$insert = $this->db->insert('logging', $data);
		
		if  ( $insert === false ) {
			show_error('Logging record creation error' );
		} else {
			return $this->db->insert_id() ;
		}
	}
	
	/*
	* 
	* retourne les donn�es d'un enregistrement de journalisation selon un id
	*
	*/
	function get($record_id) {
		$this->db->where('id', $record_id);
		$query= $this->db->get('logging');
	
		if($query->num_rows() > 0) {
			return $query->row_array();
		} else {
			return array();
		}
	}
	
	/**
	 * retourne tous les enregistrement 
	 */
	function get_all() {
		$this->db->order_by('date', "DESC");
    	$query= $this->db->get('logging');

		if($query->num_rows() > 0) {
			foreach ($query->result() as $row) {
			    $categories[] = $row;
			}
			return $categories;
		} else {
			return array();
		}
	}
	
	
	/**
	 * retourne les enregistrement li� � un utilisateur
	 */
	function get_all_fromuser($user_id) {
		$this->db->where('user_id', $user_id);
    	$this->db->order_by('date', 'DESC');
    	$query = $this->db->get('logging');

		if($query->num_rows() > 0) {
			foreach ($query->result() as $row) {
			    $records[] = $row;
			}
			return $records;
		} else {
			return array();			
		}
	}
	
	/**
	 * retourne les enregistrement li� � un terminal
	 */
	function get_all_fromterminal($terminal_id) {
		$this->db->where('terminal_id', $terminal_id);
    	$this->db->order_by('date', 'DESC');
    	$query = $this->db->get('logging');

		if($query->num_rows() > 0) {
			foreach ($query->result() as $row) {
			    $records[] = $row;
			}
			return $records;
		} else {
			return array();			
		}
	}
	
	/**
	 * Supprime l'enregistrement en fonction de son id
	 */
	function delete($id) 
	{
		$this->db->where('id', $id);
		$this->db->delete('logging');
	}	
	
	/**
	 * supprime les logs de synchro mobile d'un espace
	 * @param int $space_id: Identifiant de l'espace supprimé
	 */
	function delete_space($space_id) {
		$this->db->where('space_id',$space_id);
		$this->db->delete('logging');
	}
}
