<?php


/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * space Class
 *
 * Gere les spacees dans la base de donnees
 *
 * @package		Maxcom
 * @category	Model
 * @author		Maxcom Development Team
 * @link		
 */

class Space extends CI_Model
{
	
	function get_all($active=TRUE) {
		$this->db->order_by('created','desc');
		$this->db->where('active',$active);
		$query = $this->db->get('space');
		
		if($query->num_rows() > 0) {
			return $query->result_array();
		} else {
			return array();
		}
	}
	
	function get($space_id) {
		$this->db->where('id', $space_id);
		$query =  $this->db->get('space');
		
		if ($query->num_rows() > 0) {
			return $query->row_array();
		} else {
			return array();
		}
		
	}
	
	function create($infos) 
	{
		$data = array(
		   'id' => '' ,
		   'active' => TRUE ,
		   'value' => $infos['description'],
		   'created' => $infos['created']
		);
		
		$insert = $this->db->insert('space', $data);
		
		if  ( $insert === false ) {
			show_error('space creation error' );
		} else {
			return $this->db->insert_id() ;
		}
		
	}
	
	function update($datas,$space_id) {
		$this->db->where('id',$space_id);
		$this->db->update('space',$datas);
	}
	
	function last_sync($space_id) {
		$this->db->where('id',$space_id);
		$this->db->select('last_sync');
		$query =  $this->db->get('space');
		
		if ($query->num_rows() > 0) {
			$result = $query->row_array();
			return $result['last_sync'];
		} else {
			return array();
		}
	}
	
	function test_active($space_id) {
		$this->db->select('active');
		$this->db->where('id',$space_id);
		$query = $this->db->get('space');
		
		if ($query->num_rows() > 0) {
			$result = $query->row_array();
			return $result['active'];
		} else {
			return TRUE;
		}
		
	}
	
	function set_active($space_id,$active) {
		$data['active'] = $active;
		$this->db->where('id',$space_id);
		$this->db->update('space',$data);		
	}
	
	function delete_space($space_id) {
		$this->db->where('id',$space_id);
		$this->db->delete('space');
	}
}

?>
