<?php
/**
 * Maxcom 
 *
 * Solution opensource pour des personnes presentant des troubles de la communication
 *
 * @author		Maxcom Development Team
 * @copyright	Copyright (c) Association Dynamots.
 * @license		http://www.maxcom.fr/license.html
 * @link		http://www.maxcom.fr
 * @since		Version 1.0
 * @filesource  
 */

// ------------------------------------------------------------------------

/**
 * Stats Class
 *
 * Récupère des statistiques
 *
 * @package		Maxcom
 * @category	Model
 * @author		Maxcom Development Team
 * @link		
 */

class Stats extends CI_Model {
	
	function count($table, $space_id) {
		$this->db->where('space_id', $space_id);
		$this->db->from($table);
		return $this->db->count_all_results();
	}
	
	function insert($data) {
		$this->db->insert('stats', $data);
		return $this->db->insert_id();
	}
	
	function update($data,$space_id,$date) {
		$this->db->where('space_id',$space_id);
		$this->db->where('date',$date);
		$this->db->update('stats', $data);
	}
	
	function get_published($space_id) {
		$where = "(`space_id` = $space_id AND `status` = 1) OR (`space_id` = $space_id AND `status` = 2)";
		$this->db->or_where($where);
		return $this->db->count_all_results('sheet');
	}
	
	function yesterday_count($space_id,$table) {
		$yesterday = date("Y-m-d", strtotime("yesterday"));
		$this->db->where('space_id', $space_id);
		$this->db->where('date',$yesterday);
		$this->db->select($table);
		$query = $this->db->get('stats');
		
		if ($query->num_rows() > 0) {
			$result = $query->row_array();
			return  $result[$table];
		}
		else {
			return 0;
		}
	}
	
	function last_stats($space_id) {
		$this->db->where('space_id',$space_id);
		$this->db->limit(7);
		$this->db->order_by("date", "desc");
		$query = $this->db->get('stats');
		
		if ($query->num_rows() > 0) {
			return $query->result_array();
		} else {
			return array();
		}
	}
	
	function global_last_stats() {
		$this->db->select('date');
		$this->db->group_by('date');
		$this->db->limit(7);
		$this->db->order_by("date", "DESC");
		$query = $this->db->get('stats');
		
		if ($query->num_rows() > 0) {
			foreach ($query->result_array() as $item) {
				$dates[] = $item['date'];
			}
			foreach ($dates as $date) {		
				$this->db->where('date',$date);
				$this->db->select_sum('sheet');
				$this->db->select_sum('category');
				$this->db->select_sum('user');
				$this->db->select_sum('new_sheets');
				$this->db->select_sum('new_categories');
				$this->db->select_sum('published_sheets');
				$query = $this->db->get('stats');
				
				$result[$date] = $query->row_array();
				
				$this->db->where('date',$date);
				$result[$date]['spaces'] = $this->db->count_all_results('stats');
			}
			return array_reverse($result);
			//print_r($result);
			
		} else {
			return array();
		}
	}
	
	function delete_space($space_id) {
		$this->db->where('space_id',$space_id);
		$this->db->delete('stats');
	}
}
