SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Structure de la table `category`
--

CREATE TABLE IF NOT EXISTS `category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `image` varchar(255) NOT NULL,
  `parent_id` int(11) NOT NULL,
  `space_id` int(11) NOT NULL,
  `description` varchar(255) NOT NULL,
  `rank` tinyint(1) NOT NULL,
  `date` datetime NOT NULL,
  `last_modif` datetime NOT NULL,
  `author_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `comment`
--

CREATE TABLE IF NOT EXISTS `comment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` date NOT NULL,
  `author` int(11) NOT NULL,
  `sheet_id` int(11) NOT NULL,
  `content` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `dbaction`
--

CREATE TABLE IF NOT EXISTS `dbaction` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `space_id` int(11) NOT NULL,
  `date` date NOT NULL,
  `time` time NOT NULL,
  `query` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `space`
--

CREATE TABLE IF NOT EXISTS `space` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `active` tinyint(1) NOT NULL,
  `value` varchar(255) NOT NULL,
  `last_sync` datetime NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

INSERT INTO `space` (`id`, `active`, `value`, `last_sync`, `created`) VALUES
(1, 1, 'Premier espace', '0000-00-00 00:00:00', '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Structure de la table `sheet`
--

CREATE TABLE IF NOT EXISTS `sheet` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) NOT NULL,
  `description` varchar(255) NOT NULL,
  `image` varchar(255) NOT NULL,
  `sound` varchar(255) NOT NULL,
  `favorite` tinyint(1) NOT NULL,
  `status` tinyint(1) NOT NULL,
  `nbclics` int(11) NOT NULL,
  `date` datetime NOT NULL,
  `last_modif` datetime NOT NULL,
  `space_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `author_id` int(11) NOT NULL,
  `note` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `stats`
--

CREATE TABLE IF NOT EXISTS `stats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` date NOT NULL,
  `space_id` int(11) NOT NULL,
  `category` int(11) NOT NULL,
  `sheet` int(11) NOT NULL,
  `published_sheets` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `new_sheets` int(11) NOT NULL,
  `new_categories` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `taxonomy`
--

CREATE TABLE IF NOT EXISTS `taxonomy` (
  `category_id` int(11) DEFAULT NULL,
  `term_id` int(11) DEFAULT NULL,
  `sheet_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `term`
--

CREATE TABLE IF NOT EXISTS `term` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `space_id` int(11) NOT NULL,
  `name` varchar(32) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(32) NOT NULL,
  `password` varchar(32) NOT NULL,
  `firstname` varchar(32) NOT NULL,
  `lastname` varchar(32) NOT NULL,
  `mail` varchar(255) NOT NULL,
  `space_id` int(11) NOT NULL,
  `space_role` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;


INSERT INTO `user` (`id`, `login`, `password`, `firstname`, `lastname`, `mail`, `space_id`, `space_role`, `description`) VALUES
(1, 'admin', '21232f297a57a5a743894a0e4a801fc3', 'Admin', 'Admin', 'admin@mail.com', 1, 'administrateur', 'Administrateur');
INSERT INTO `user` (`id`, `login`, `password`, `firstname`, `lastname`, `mail`, `space_id`, `space_role`, `description`) VALUES
(2, 'mobile-first', '21232f297a57a5a743894a0e4a801fc3', 'space-1', 'Utilisateur Mobile', 'admin@mail.com', 1, 'utilisateur', 'Utilisateur mobile');


-- --------------------------------------------------------

--
-- Structure de la table `logging`
--

CREATE TABLE IF NOT EXISTS `logging` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` datetime NOT NULL,
  `user_id` varchar(255) NOT NULL,
  `terminal_id` varchar(255) NOT NULL,  
  `sdk_version` int(11) NOT NULL,
  `model` varchar(255) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `resolved` TINYINT NOT NULL,
  `record` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `captcha`
--

CREATE TABLE IF NOT EXISTS `captcha` (
 captcha_id bigint(13) unsigned NOT NULL auto_increment,
 captcha_time int(10) unsigned NOT NULL,
 ip_address varchar(16) default '0' NOT NULL,
 word varchar(20) NOT NULL,
 PRIMARY KEY `captcha_id` (`captcha_id`),
 KEY `word` (`word`)
);

-- --------------------------------------------------------

--
-- Structure de la table `logqueries`
--

CREATE TABLE IF NOT EXISTS `logqueries` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `space_id` int(11) NOT NULL,
  `date` date NOT NULL,
  `time` time NOT NULL,
  `req_type` text NOT NULL,
  `req_datas` text NOT NULL,
  `item_type` text NOT NULL COMMENT 'Sheet, Category, Taxonomy, Term',
  `where` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;